Rasa x, couldn't recognize Chinese entity

when entity is in Chinese, we could run rasa train and rasa shell on command window. But trying run rasa x, it gave an error: “Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.” When we change every entity in Chinese to English, it’s doable.

Can you please post the error that it references, including the traceback?

1 Like

fatal: bad revision ‘HEAD’ 2021-01-15 14:04:21.944959: W tensorflow/stream_executor/platform/default/dso_loader.cc:59] Could not load dynamic library ‘cudart64_101.dll’; dlerror: cudart64_101.dll not found 2021-01-15 14:04:21.952264: I tensorflow/stream_executor/cuda/cudart_stub.cc:29] Ignore above cudart dlerror if you do not have a GPU set up on your machine. c:\users\a\anaconda3\envs\rasa\lib\importlib_bootstrap.py:219: RuntimeWarning: greenlet.greenlet size changed, may indicate binary incompatibility. Expected 144 from C header, got 152 from PyObject return f(*args, **kwds) c:\users\a\anaconda3\envs\rasa\lib\importlib_bootstrap.py:219: RuntimeWarning: greenlet.greenlet size changed, may indicate binary incompatibility. Expected 144 from C header, got 152 from PyObject return f(*args, **kwds) c:\users\a\anaconda3\envs\rasa\lib\importlib_bootstrap.py:219: RuntimeWarning: greenlet.greenlet size changed, may indicate binary incompatibility. Expected 144 from C header, got 152 from PyObject return f(*args, **kwds) c:\users\a\anaconda3\envs\rasa\lib\importlib_bootstrap.py:219: RuntimeWarning: greenlet.greenlet size changed, may indicate binary incompatibility. Expected 144 from C header, got 152 from PyObject return f(*args, **kwds) 2021-01-15 14:04:23.854349: I tensorflow/stream_executor/platform/default/dso_loader.cc:48] Successfully opened dynamic library nvcuda.dll 2021-01-15 14:04:23.892468: I tensorflow/core/common_runtime/gpu/gpu_device.cc:1716] Found device 0 with properties: pciBusID: 0000:01:00.0 name: GeForce RTX 2070 computeCapability: 7.5 coreClock: 1.71GHz coreCount: 36 deviceMemorySize: 8.00GiB deviceMemoryBandwidth: 417.29GiB/s 2021-01-15 14:04:23.903162: W tensorflow/stream_executor/platform/default/dso_loader.cc:59] Could not load dynamic library ‘cudart64_101.dll’; dlerror: cudart64_101.dll not found 2021-01-15 14:04:23.910113: W tensorflow/stream_executor/platform/default/dso_loader.cc:59] Could not load dynamic library ‘cublas64_10.dll’; dlerror: cublas64_10.dll not found 2021-01-15 14:04:23.916170: W tensorflow/stream_executor/platform/default/dso_loader.cc:59] Could not load dynamic library ‘cufft64_10.dll’; dlerror: cufft64_10.dll not found 2021-01-15 14:04:23.922815: W tensorflow/stream_executor/platform/default/dso_loader.cc:59] Could not load dynamic library ‘curand64_10.dll’; dlerror: curand64_10.dll not found 2021-01-15 14:04:23.929462: W tensorflow/stream_executor/platform/default/dso_loader.cc:59] Could not load dynamic library ‘cusolver64_10.dll’; dlerror: cusolver64_10.dll not found 2021-01-15 14:04:23.935828: W tensorflow/stream_executor/platform/default/dso_loader.cc:59] Could not load dynamic library ‘cusparse64_10.dll’; dlerror: cusparse64_10.dll not found 2021-01-15 14:04:23.943633: W tensorflow/stream_executor/platform/default/dso_loader.cc:59] Could not load dynamic library ‘cudnn64_7.dll’; dlerror: cudnn64_7.dll not found 2021-01-15 14:04:23.949125: W tensorflow/core/common_runtime/gpu/gpu_device.cc:1753] Cannot dlopen some GPU libraries. Please make sure the missing libraries mentioned above are installed properly if you would like to use GPU. Follow the guide at GPU support  |  TensorFlow for how to download and setup the required libraries for your platform. Skipping registering GPU devices… Starting Rasa X in local mode… :rocket: fatal: bad revision ‘HEAD’ Traceback (most recent call last): File “C:\Users\A\AppData\Roaming\Python\Python37\site-packages\rasa\cli\x.py”, line 500, in run_locally domain_path=domain_path, TypeError: main() got an unexpected keyword argument ‘domain_path’

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “C:\Users\A\AppData\Roaming\Python\Python37\site-packages\rasa\cli\x.py”, line 511, in run_locally config_path=config_path, File “c:\users\a\anaconda3\envs\rasa\lib\site-packages\rasax\community\local.py”, line 225, in main project_path, data_path, session, args.port, config_path File “c:\users\a\anaconda3\envs\rasa\lib\site-packages\rasax\community\local.py”, line 162, in _initialize_with_local_data project_path, data_path, session, config_path=config_path File “c:\users\a\anaconda3\envs\rasa\lib\asyncio\base_events.py”, line 587, in run_until_complete return future.result() File “c:\users\a\anaconda3\envs\rasa\lib\site-packages\rasax\community\initialise.py”, line 342, in inject_files_from_disk username, File “c:\users\a\anaconda3\envs\rasa\lib\site-packages\rasax\community\initialise.py”, line 131, in inject_stories story_files, team, project_id, username File “c:\users\a\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\story_service.py”, line 553, in save_stories_from_files is_test=is_test, File “c:\users\a\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\story_service.py”, line 438, in save_stories story_string, filename, domain, is_test File “c:\users\a\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\story_service.py”, line 366, in _extract_stories_yaml story_string, data.FileFormat.YAML, domain, filename, test_stories=is_test File “c:\users\a\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\story_service.py”, line 212, in get_story_steps return StoryService._reader_read_from_string(reader, story_string) File “c:\users\a\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\story_service.py”, line 133, in _reader_read_from_string return reader.read_from_file(temp_path) File “C:\Users\A\AppData\Roaming\Python\Python37\site-packages\rasa\shared\core\training_data\story_reader\yaml_story_reader.py”, line 98, in read_from_file filename, rasa.shared.utils.io.DEFAULT_ENCODING File “C:\Users\A\AppData\Roaming\Python\Python37\site-packages\rasa\shared\utils\io.py”, line 129, in read_file f"Failed to read file ‘{os.path.abspath(filename)}’, " rasa.shared.exceptions.FileIOException: Failed to read file ‘C:\Users\A\AppData\Local\Temp\tmpaazv2j35’, could not read the file using utf-8 to decode it. Please make sure the file is stored with this encoding.

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/. fatal: bad revision ‘HEAD’

Hi~ Could you help identify the problem stated above? Thank you!